Affected QGIS version:3.7(master) Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Description

When doing a GetFeaturelnfo request on the service

https://services.geo.zg.ch/ows/Gebaeudebrueter

and choosing "feature" (application/json) as format, all numeric values are not shown. Potentially, other data types might also be affected
(haven't tested boolean or other data types).

Click on a point feature and switch between the formats. Numeric attribute values (e.g. "Anzahlnistkdsten", "bfs_nr", "Postleitzahl", etc.)
are displayed fine in text and html format, but not when choosing JSON/Geojson as format.

Note that in HTML and Text format, numeric values are displayed, correctly, but in JSON format (Format=Feature) all numeric values are
omitted.

See screenshots attached.

Here is the corresponding manual request:
https://services.geo.zg.ch/ows/Gebaeudebrueter?SERVICE=WMS&VERSION=1.3.0&REQUEST=GetFeatureInfo&BBOX=26824
88,1222987,2683185,1223726&CRS=EPSG:2056&WIDTH=899&HEIGHT=952&LAYERS=zg.geaeudebrueter&STYLES=&FORMAT=imag

MAT=image/png&QUERY_LAYERS=zg.geaeudebrueter&INFO_FORMAT=application/json&|=312&J=362&FEATURE_COUNT=10[?]
=10

Associated revisions

Revision ¢87833c8 - 2019-04-26 03:11 PM - Alessandro Pasotti

Fix identify for WMS client with json format

Fixes #21735

History

#1 - 2019-04-12 08:18 AM - Andreas Neumann
- Assignee set to Alessandro Pasotti

#2 - 2019-04-26 03:15 PM - Alessandro Pasotti
- Resolution set to fixed/implemented

2025-04-27 12


https://services.geo.zg.ch/ows/Gebaeudebrueter

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/9879

#3 - 2019-04-27 10:49 AM - Andreas Neumann

Hi,

| tested the PR and it works fine!

Thanks a lot,

Andreas

#4 - 2019-04-27 06:25 PM - Alessandro Pasotti
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|c87833c807aed321f06e3cb4900315952b439398.
